Skip to main content
GET
/
api
/
v1
/
allocations
/
{id}
curl -X GET "https://commodityai.app/api/v1/allocations/923e4567-e89b-12d3-a456-426614174008" \
  -H "Authorization: Bearer cai_live_your_api_key_here"
{
  "id": "923e4567-e89b-12d3-a456-426614174008",
  "purchase_leg_id": "423e4567-e89b-12d3-a456-426614174003",
  "sale_leg_id": "823e4567-e89b-12d3-a456-426614174007",
  "quantity": "25000",
  "purchase_sequence_number": 1,
  "sale_sequence_number": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.commodityai.io/llms.txt

Use this file to discover all available pages before exploring further.

Returns a single allocation by ID. Either purchase_leg_id or sale_leg_id can be null for partial allocations.

Path Parameters

id
string
required
Allocation UUID.

Request Example

curl -X GET "https://commodityai.app/api/v1/allocations/923e4567-e89b-12d3-a456-426614174008" \
  -H "Authorization: Bearer cai_live_your_api_key_here"

Response

{
  "id": "923e4567-e89b-12d3-a456-426614174008",
  "purchase_leg_id": "423e4567-e89b-12d3-a456-426614174003",
  "sale_leg_id": "823e4567-e89b-12d3-a456-426614174007",
  "quantity": "25000",
  "purchase_sequence_number": 1,
  "sale_sequence_number": 1
}